Update a branch's maintenance window
Changes the day and hour of a PostgreSQL production branch’s weekly maintenance window.
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
write_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | write_databases |
| Database | write_database |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Branch name from list_branches. Example: main.
Body
Response
Returns the updated maintenance schedule
The ID of the maintenance schedule
The display name of the maintenance schedule
When the maintenance schedule was created
When the maintenance schedule was last updated
When the last maintenance window started
When the next maintenance window is scheduled
The duration of the maintenance window in hours
Day of the week (0 = Sunday, 6 = Saturday, 7 = every day)
Hour of the day in UTC (0-23)
Week of the month for monthly schedules (0-3)
The frequency value of the maintenance schedule
The frequency unit of the maintenance schedule
day, week, month, once Whether the maintenance schedule is enabled
When a one-time maintenance schedule expires
The deadline for a required maintenance schedule
Whether the maintenance schedule is required
Whether there is a pending Vitess version update
The pending Vitess version, if any
Whether there is a pending MySQL version update
The pending MySQL version, if any

